/*
 *  SokoBan, a Sokoban game.
 *  Copyright (C) 2008  Colomban Wendling <ban@herbesfolles.org>
 * 
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */


#ifndef __LEVEL_H__
#define __LEVEL_H__


#include <stdlib.h>

#include <SDL/SDL_platform.h>

#include "sokoban.h"
#include "map.h"
#include "player.h"


#define LEVEL_EXT "lvl"


MyBool level_load (const char* filename);
MyBool level_loadFromStream (FILE *stream);

MyBool level_write (const char* filename, int ppx, int ppy);
MyBool level_writeToStream (FILE *fp, int ppx, int ppy);


#endif /* guard */
